/**
 * Licensed under the Apache License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain
 * a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */

(function () {
  'use strict';

  angular
    .module('horizon.framework.util', [
      'horizon.framework.util.actions',
      'horizon.framework.util.bind-scope',
      'horizon.framework.util.file',
      'horizon.framework.util.filters',
      'horizon.framework.util.http',
      'horizon.framework.util.i18n',
      'horizon.framework.util.navigations',
      'horizon.framework.util.promise-toggle',
      'horizon.framework.util.q',
      'horizon.framework.util.tech-debt',
      'horizon.framework.util.timezones',
      'horizon.framework.util.uuid',
      'horizon.framework.util.workflow',
      'horizon.framework.util.validators',
      'horizon.framework.util.extensible'
    ])
    .config(config);

  config.$inject = ['$provide', '$windowProvider'];

  function config($provide, $windowProvider) {
    var path = $windowProvider.$get().STATIC_URL + 'framework/util/';
    $provide.constant('horizon.framework.util.basePath', path);
  }

})();
